Permalink
Switch branches/tags
Nothing to show
Find file
Fetching contributors…
Cannot retrieve contributors at this time
231 lines (230 sloc) 7.63 KB
<project>
<modelVersion>4.0.0</modelVersion>
<groupId>rubygems</groupId>
<artifactId>dm-hibernate-adapter</artifactId>
<version>0.3pre</version>
<name><![CDATA[dm-hibernate-adapter]]></name>
<packaging>java-gem</packaging>
<developers>
<developer>
<id>m_dot_kristian_at_web_dot_de</id>
<name>Kristian Meier</name>
<email>m.kristian@web.de</email>
</developer>
<developer>
<id>douglasrodrigo_at_gmail_dot_com</id>
<name>Douglas Ferreira</name>
<email>douglasrodrigo@gmail.com</email>
</developer>
<developer>
<id>piotrgega_at_gmail_dot_com</id>
<name>Piotr Gęga</name>
<email>piotrgega@gmail.com</email>
</developer>
</developers>
<repositories>
<repository>
<id>rubygems-releases</id>
<url>http://rubygems-proxy.torquebox.org/releases</url>
</repository>
<repository>
<id>jboss</id>
<url>https://repository.jboss.org/nexus/content/groups/public-jboss/</url>
</repository>
</repositories>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-core</artifactId>
<version>[1.1.0,1.1.99999]</version>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-transactions</artifactId>
<version>[1.1.0,1.1.99999]</version>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>dm-migrations</artifactId>
<version>[1.1.0,1.1.99999]</version>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>slf4r</artifactId>
<version>0.3.1</version>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>yard</artifactId>
<version>0.5.3</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rake</artifactId>
<version>0.9.2</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rspec</artifactId>
<version>1.3.0</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>ruby-maven</artifactId>
<version>3.0.3.0.28.5</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>jruby-openssl</artifactId>
<version>0.7.4</version>
<type>gem</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-core</artifactId>
<version>3.3.2.GA</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-annotations</artifactId>
<version>3.4.0.GA</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-tools</artifactId>
<version>3.2.4.GA</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>javax.transaction</groupId>
<artifactId>jta</artifactId>
<version>1.1</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>javassist</groupId>
<artifactId>javassist</artifactId>
<version>3.8.0.GA</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>mysql</groupId>
<artifactId>mysql-connector-java</artifactId>
<version>5.1.9</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>postgresql</groupId>
<artifactId>postgresql</artifactId>
<version>8.4-701.jdbc4</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>com.h2database</groupId>
<artifactId>h2</artifactId>
<version>1.2.138</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.apache.derby</groupId>
<artifactId>derby</artifactId>
<version>10.5.3.0_1</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.hsqldb</groupId>
<artifactId>hsqldb</artifactId>
<version>2.0.0</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.jruby</groupId>
<artifactId>jruby-complete</artifactId>
<version>1.6.4</version>
<type>jar</type>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-log4j12</artifactId>
<version>1.5.2</version>
<type>jar</type>
<scope>test</scope>
</dependency>
<dependency>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
<version>1.2.14</version>
<type>jar</type>
<scope>test</scope>
</dependency>
</dependencies>
<properties>
<gem.home>${project.build.directory}/rubygems</gem.home>
<gem.path>${project.build.directory}/rubygems</gem.path>
<jruby.jvmargs>-Xmx1024m</jruby.jvmargs>
<jruby.plugins.version>0.28.5</jruby.plugins.version>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
</properties>
<build>
<finalName>${project.artifactId}_ext</finalName>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rspec-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<executions>
<execution>
<goals>
<goal>test</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<extensions>true</extensions>
<configuration>
<files>lib/dm-hibernate-adapter_ext.jar,lib/dm-hibernate-adapter.rb,lib/dm-hibernate-adapter,lib/dm-hibernate-adapter/hibernate,lib/dm-hibernate-adapter/hibernate/property_shim.rb,lib/dm-hibernate-adapter/hibernate/hibernate.rb,lib/dm-hibernate-adapter/hibernate/model.rb,lib/dm-hibernate-adapter/hibernate/dynamic_java.rb,lib/dm-hibernate-adapter/hibernate/model.rb.~8afce901e5b51d010121b5545cffcd4a1e913bdb~,lib/dm-hibernate-adapter/hibernate/dialects.rb,lib/dm-hibernate-adapter/hibernate/transaction.rb,lib/dm-hibernate-adapter/spec,lib/dm-hibernate-adapter/spec/setup.rb,lib/dm-hibernate-adapter/data_mapper,lib/dm-hibernate-adapter/data_mapper/adapters,lib/dm-hibernate-adapter/data_mapper/adapters/hibernate_adapter.rb,lib/dm-hibernate-adapter/data_mapper/dm-core.rb,lib/dm-hibernate-adapter/utils,lib/dm-hibernate-adapter/utils/constants.rb,lib/dm-hibernate-adapter/utils/logger.rb,spec/spec_helper.rb,spec/rcov.opts,spec/cpk_spec.rb,spec/target,spec/target/rubygems-rake-maven-plugin,spec/spec.opts,spec/adapter_spec.rb</files>
<gemspec>dm-hibernate-adapter.gemspec</gemspec>
<platform>java</platform>
<requiredRubygemsVersion><![CDATA[> 1.3.1]]></requiredRubygemsVersion>
<testFiles>spec/cpk_spec.rb,spec/adapter_spec.rb</testFiles>
</configuration>
<executions>
<execution>
<id>in_phase_initialize</id>
<phase>initialize</phase>
<goals>
<goal>execute_in_phase</goal>
</goals>
<configuration>
<file>Mavenfile</file>
<phase>initialize</phase>
</configuration>
</execution>
</executions>
</plugin>
</plugins>
</build>
</project>